%global __brp_check_rpaths %{nil}
%global packname  MMINP
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Microbe-Metabolite Interactions-Based Metabolic Profiles Predictor

License:          GPL (>= 3.0)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.1.0
Requires:         R-core >= 4.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-OmicsPLS >= 2.0.2
BuildRequires:    R-CRAN-magrittr >= 2.0.1
BuildRequires:    R-utils 
BuildRequires:    R-stats 
Requires:         R-CRAN-OmicsPLS >= 2.0.2
Requires:         R-CRAN-magrittr >= 2.0.1
Requires:         R-utils 
Requires:         R-stats 

%description
Implements a computational framework to predict microbial community-based
metabolic profiles with 'O2PLS' model. It provides procedures of model
training and prediction. Paired microbiome and metabolome data are needed
for modeling, and the trained model can be applied to predict metabolites
of analogous environments using new microbial feature abundances.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
